<%@ page language="java" import="java.util.*,hiber_xml.OaSModuleType,hiber_xml.hibernateDao" pageEncoding="utf-8"%>
<jsp:include flush="true" page="error.jsp"/>
<%@ include file="header.jsp"%>
                <style type="text/css">
<!--
.container {
        width: 98%;
        padding: 5px;
        margin: 3px 0 0px 0;
        /*border: 1px solid #ccc;
        background: #fff;*/
}

/* pyramid */

#navPyra {
        margin: 0;
        padding: 0 0 20px 10px;
        border-bottom: 1px solid #ffffff;
}

#navPyra li {
        margin: 0;
        padding: 0;
        font-size: 10px;
        display: inline;
        list-style-type: none;
}

#navPyra a:link, #navPyra a:visited {
        float: left;
        font-size: 9pt;
        line-height: 14px;
        font-weight: bold;
        padding: 0 12px 6px 12px;
        text-decoration: none;
        color: #ffffff;
}

#navPyra a:link.active, #navPyra a:visited.active, #navPyra a:hover {
        color: #c0c0c0; /*background: url(../image/menu_img/pyramid.gif) no-repeat bottom center;*/
}
-->
</style>
                <style type="text/css">
                <!--
/* code for presentation purpose (CSS preview) */
                -->
                </style>

                <div class="container">
                        <ul id="navPyra">
<!-- CSS Tabs -->

<%
          
          String actionClass="2009001";//后台设置
          String tureAction="";
          String current = "";
          String qx=(String)session.getAttribute("quanxian"); 
          if(qx!=null && qx.trim().length()>0){
          hibernateDao oa1=new hibernateDao();
          Iterator ite=oa1.getTopMenu(qx);
          while(ite.hasNext()){ 
              OaSModuleType mt=(OaSModuleType)ite.next();
              if(mt.getMtId()!=null && mt.getMtId().trim().equals(actionClass)){
                 tureAction="class='active'";
                 current=mt.getMtId();
              }else{
                 tureAction="";
              } 
%>
<li><a id="<%=mt.getMtId() %>" href="menumain.jsp?menu1=<%=mt.getMtId() %>"  onclick="javascript:setChoice('<%=mt.getMtId() %>');" <%=tureAction %> title="<%=mt.getMtTitle() %>"><span class="font_1"><%=mt.getMtName() %></span></a></li>
<%
}
oa1.closeSession();
///} 
//oa_top.closeAll();
%>
<li><a href="../tologin!userQuit?name=1&pass=2&yzm=3"  title="<fmt:message key="common.quit.title" bundle="${p1}"/>" onclick="return confirm('<fmt:message key="common.quit.click" bundle="${p1}"/>?');"><span><fmt:message key="common.quit" bundle="${p1}"/></span></a></li>
                        </ul>
                </div>
        <script type="text/javascript">
           var cu;
           cu = <%=current %>;
           function setChoice(ne){
             var ls_cu=document.getElementById(ne);
             var ls_pr=document.getElementById(cu);
             ls_cu.className='active';
             document.getElementById("ls_state1").innerHTML=ls_cu.innerHTML;
             document.getElementById("ls_state2").innerHTML="";
             ls_pr.className='';
             cu = ne;
             setFuyuanMenu();
         }
         function setFuyuanMenu(){
            document.getElementById("g_list").style.display='none';
            document.getElementById("g_password").style.display='';
            document.getElementById("g_add").style.display='none';
            document.getElementById("g_open").style.display='none';
            document.getElementById("g_copy").style.display='none';
            document.getElementById("g_delete").style.display='none';
            document.getElementById("g_preview").style.display='none';
            document.getElementById("g_taoda").style.display='none';
            document.getElementById("g_refresh").style.display='none';
            document.getElementById("g_save").style.display='none';
            document.getElementById("g_return").style.display='none';
            document.getElementById("g_groupCmodule").style.display='none';
            document.getElementById("g_groupCuser").style.display='none';
            document.getElementById("g_userCuser").style.display='none';
            document.getElementById("g_pz").style.display='none';
            document.getElementById("g_bpz").style.display='none';
         }
        </script>
<%}  %>